##### install application icon ##################

tde_install_icons( ${PROJECT_NAME} )


##### install other icons #######################

unset( _other_icons )
file( GLOB _icon_files *-*.png *-*.mng *-*.svg* )
foreach( _icon_file ${_icon_files} )
  string( REGEX REPLACE ".*-([^.]*)\\.(png|mng|svg.*)$" "\\1" _icon ${_icon_file} )
  if( NOT "${_icon}" STREQUAL "${PROJECT_NAME}" )
    list( APPEND _other_icons "${_icon}" )
  endif( )
endforeach( )

if( _other_icons )
  list( SORT _other_icons )
  list( REMOVE_DUPLICATES _other_icons )

  tde_install_icons( ${_other_icons} DESTINATION "${DATA_INSTALL_DIR}/${PROJECT_NAME}/icons" )
endif( )
